aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-27 07:31:52 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-27 07:31:52 +0000
commit6595ab6ac0ccbb9a6afd1ebb2b7219a89aa3759d (patch)
tree777d0153d10127ebe77961a540c8d6e513f2211d /testing
parent9c3b46c207fefbd2082d8cb87c65710cfe55b4af (diff)
downloadaports-6595ab6ac0ccbb9a6afd1ebb2b7219a89aa3759d.tar.bz2
aports-6595ab6ac0ccbb9a6afd1ebb2b7219a89aa3759d.tar.xz
testing/py-flask-oauthlib: new aport
Diffstat (limited to 'testing')
-rw-r--r--testing/py-flask-oauthlib/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-flask-oauthlib/APKBUILD b/testing/py-flask-oauthlib/APKBUILD
new file mode 100644
index 0000000000..9fcd6234e6
--- /dev/null
+++ b/testing/py-flask-oauthlib/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Eivind Uggedal <eivind@uggedal.com>
+pkgname=py-flask-oauthlib
+_pkgname=Flask-OAuthlib
+pkgver=0.5.0
+pkgrel=0
+pkgdesc="Flask OAuth extension using OAuthlib"
+url="https://github.com/lepture/flask-oauthlib"
+arch="noarch"
+license="BSD"
+depends="python py-flask py-oauthlib"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5598fb1043b91daace853e8820c019b2 Flask-OAuthlib-0.5.0.tar.gz"
+sha256sums="aca43a7dd65c324200d3296e1d531694850f2fb95ec21ccb863d9073b0fbdb99 Flask-OAuthlib-0.5.0.tar.gz"
+sha512sums="611190aca1a4b9417bc87e43b01cc3383c956b2c8f8162d1eedfcb500cbe6d48d04372db2bdba2564db89bcfbeadec708ac07f5531bd3c5b4e972393dba5ea47 Flask-OAuthlib-0.5.0.tar.gz"